"use strict";
this.name			= "upsSplinter";
this.author			= "Eric Walch";
this.copyright		= "2008 eric walch";
this.comment		= "Ship script for gold/platinum splinters.";
this.license        = "CC BY-NC-SA 3.0";

// initialising splinter
this.initialising = function ()
{
	//log("ups", "added valuabels");
    this.amount = Math.ceil(Math.random() * 12);
    this.metal = Math.random() < 0.40 ? "platinum" : "gold";
    this.ship.setCargo(this.metal, this.amount);
    this.init = true;
}

this.shipWasScooped = function (scooper)
{
	//log("ups", "scooped");
	if (!this.init) this.initialising();
    if (scooper.isPlayer)
	{
		player.consoleMessage(this.amount + (this.amount === 1 ? " kilogram " : " kilograms ") + this.metal);
	}
}
